Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens neuroanalyst
  • Gallery in DataLens
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • Get licenses
        • Get licenses limit
        • Set licenses limit
        • Assign licenses
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  • LicenseWithLastLogin
  1. DataLens Public API
  2. DataLens API
  3. Licensing
  4. Get licenses
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body
    • LicenseWithLastLogin

Get licenses

Returns tenant licenses with optional filters by user IDs and license status, sorting, and pagination.

RequestRequest

POST

https://api.datalens.tech/rpc/getLicenses

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "userIds": [
    "example"
  ],
  "status": "active",
  "sortBy": "createdAt",
  "order": "asc",
  "limit": 1,
  "pageToken": "example"
}

Name

Description

limit

Type: number

Maximum number of licenses to return.

Min value: 1

Max value: 200

order

Type: string

License sort order.

Enum: asc, desc

pageToken

Type: string

Token for the next page of licenses.

Example: example

sortBy

Type: string

License field to sort by.

Enum: createdAt, updatedAt

status

Type: string

License status to filter by.

Enum: active, expired, expiring

userIds

Type: string[]

IDs of users whose licenses should be returned.

Min items: 0

Max items: 1000

Example
[
  "example"
]

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "licenses": [
    {
      "licenseId": "example",
      "meta": {},
      "tenantId": "example",
      "userId": "example",
      "licenseType": "creator",
      "isActive": true,
      "expiresAt": "example",
      "createdBy": "example",
      "createdAt": "example",
      "updatedBy": "example",
      "updatedAt": "example",
      "lastLoginAt": "example"
    }
  ],
  "nextPageToken": "example"
}

Name

Description

licenses

Type: LicenseWithLastLogin[]

Licenses matching the request.

Example
[
  {
    "licenseId": "example",
    "meta": {},
    "tenantId": "example",
    "userId": "example",
    "licenseType": "creator",
    "isActive": true,
    "expiresAt": "example",
    "createdBy": "example",
    "createdAt": "example",
    "updatedBy": "example",
    "updatedAt": "example",
    "lastLoginAt": "example"
  }
]

nextPageToken

Type: string

Token for the next page of licenses.

Example: example

LicenseWithLastLoginLicenseWithLastLogin

Name

Description

createdAt

Type: string

Date and time when the license was created.

Example: example

createdBy

Type: string

ID of the user who created the license.

Example: example

expiresAt

Type: string

Date and time when the license expires.

Example: example

isActive

Type: boolean

Whether the license is active.

lastLoginAt

Type: string | null

Date and time when the licensed user last logged in.

Example: example

licenseId

Type: string

Unique identifier of the license.

Example: example

licenseType

Type: string

Type of the license.

Const: creator

Example: example

meta

Type: object

[additional]

Type: unknown

Example: null

Additional license metadata.

Example
{}

tenantId

Type: string

ID of the tenant that owns the license.

Example: example

updatedAt

Type: string

Date and time when the license was last updated.

Example: example

updatedBy

Type: string

ID of the user who last updated the license.

Example: example

userId

Type: string

ID of the user assigned the license.

Example: example

Example
{
  "licenseId": "example",
  "meta": {},
  "tenantId": "example",
  "userId": "example",
  "licenseType": "creator",
  "isActive": true,
  "expiresAt": "example",
  "createdBy": "example",
  "createdAt": "example",
  "updatedBy": "example",
  "updatedAt": "example",
  "lastLoginAt": "example"
}

Was the article helpful?

Previous
Overview
Next
Get licenses limit
© 2026 Direct Cursus Technology L.L.C.